#ifndef _ACCOUNTING_CONTROL_
#define _ACCOUNTING_CONTROL_

/* accounting_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


/**
 * c_accounting_open_accounting:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 *
 * Inicializa los datos de la ventana de contabilidad, que permite imprimir el libro de IVA.
 * Unha vez se muestre
 * este widget, se podr trabajar con la ventana segn sea necesario. La ventana de contabilidad permite
 * imprimir los listados del libro de IVA, as como cerrar perodos de contabilidad para cualquiera de las
 * empresas del grupo.
 *
 * Returns:
 * #Widget con la ventana de listados de contabilidad.
 */        
GtkWidget *c_accounting_open_accounting (GtkWidget *app1, GtkWidget *vbox);
#endif


