/* find_product_cost.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _FIND_PRODUCT_COST_
#define _FIND_PRODUCT_COST_
#include "piece.h"
/**
 * open_update_entry:
 * 
 * Inicializa la ventana de mostrado de los precios de coste de las piezas para cada proveedor.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_find_product_cost_open_window(GtkWidget *app1, GtkWidget *vbox) ;
/**
 * c_load_piece:
 * @piece: Pieza para la que se buscar el que se buscarn los precios.
 *
 * Carga los datos de la pieza para la que se comprobar el precio de cada proveedor.
 *
 */
void c_load_piece(Piece * piece);


#endif

