
/* generic_repair_line.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _GENERIC_REPAIR_LINE_
#define _GENERIC_REPAIR_LINE_

/**
 * c_generic_repair_line_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @data: Puntero utilizado para permitir que el desarrolle pase los datos que considere necesarios.
 *
 * Inicializa la ventana de insercin de una lnea de reparacin genrica. Esta pantalla
 * permite insertar una nueva lnea de reparacin sin que tenga asociada ninguna pieze, y
 * a partir de un producto no existente en la base de datos.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_generic_repair_line_open_window(GtkWidget *app1, gpointer data);

#endif

