/* invoice_receiver_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _INVOICE_RECEIVER_CONTROL_
#define _INVOICE_RECEIVER_CONTROL_


#include "invoice.h"
/**
 * c_invoice_receiver_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @f_to_call: Funcin que se llamar una vez se cierre la ventana.
 * @invoice: Factura para la que se elegir el receptor.
 *
 * Inicializa la ventana de seleccin de receptor. Esta pantalla se utiliza para elegir
 * cual ser el receptor de una factura permitiendo elegirn entre: el cliente de la
 * reparacin, la compaa de seguros o el consorcio.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_invoice_receiver_open_window(GtkWidget *app1, gpointer f_to_call,Invoice * invoice);


#endif

