/* listing_operation_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _LISTING_OPERATION_CONTROL_
#define _LISTING_OPERATION_CONTROL_

/**
 * c_listing_operation_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 *
 * Incializa la ventana de listado de movimientos. Esta pantalla permite listar los
 * pagos realizados a alguna de las empresas del grupo permitiendo filtrar por compaa
 * de seguros y por tipo de pago.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_listing_operation_open_window(GtkWidget *app1, GtkWidget *vbox);

#endif

