/* extract_order.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#include "config.h"
#include "order.h"
#include "util.h"
#include "order_line.h"
#include "order.h"
#include "participant.h"
#include "supplier.h"
#include "enterprise.h"
#include "select_fields.h"

gchar * p_order_get_stringify_supplier_number (Order * order,gboolean show);
gchar * p_order_get_stringify_legal_id (Participant * participant,gboolean show);
gchar * p_order_get_stringify_date (Order * order,gboolean show);
gchar * p_order_get_stringify_order_number (Order * order,gboolean show);
gchar * p_order_get_stringify_name (Participant * participant,gboolean show);
gchar ** p_order_get_stringify_post_address (Participant * participant,gboolean show);
GList * p_order_get_lines (Order * order,gboolean show,gulong from_lines,gulong n_lines);

