/* cash_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _CASH_MODEL_
#define _CASH_MODEL_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "model.h"
#include "cash.h"
#include "cash_operation.h"

//gboolean m_cash_insert (Cash * cash);

gchar *m_cash_get_table (void);
gchar *m_cash_get_attributes (void);
Cash *m_cash_create (GdaRecordset *rs);

Cash * m_cash_find_by_shop (gulong enterprise_code,gulong shop_code);
CashOperation ** m_cash_find_by_period (time_t initial_date, time_t ending_date, Cash *cash);
#endif


