
/* manodeobra_model.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _MODEL_MANODEOBRA_
#define _MODEL_MANODEOBRA_

#include <gda-client.h>
#include <glib.h>
#include "gda_igalia_util.h"
#include "model.h"
#include "company.h"
#include "manodeobra.h"

gchar      *m_man_power_get_table (void);
gchar      *m_man_power_get_attributes (void);
gchar      *m_man_power_create_query_find (gchar *razon_social);
ManPower *m_man_power_create (GdaRecordset *rs);

ManPower ** m_man_power_find_by_description (gchar *man_power_description, gchar *company_code);
void m_man_power_clear_array (ManPower **man_power_list);
gboolean m_man_power_is_valued   (gchar *man_power, gchar* company);
gboolean m_man_power_update_price (ManPower *man_power, Company *company);

#endif

