/* shoplogs2todos.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#ifndef _SHOP_LOGS_2_TODOS_
#define _SHOP_LOGS_2_TODOS_

#include "config.h"
#include "util.h"

/**
 * R_QUERY_EXTENSION:
 *
 * Texto que indica la extensin de los ficheros auxiliares.
 *
 */
#define R_QUERY_EXTENSION   ".query"
/**
 * R_TODO_EXTENSION:
 *
 * Texto que indica la extensin de los ficheros "todo", ficheros que contienen las sentencias a ejecutar.
 *
 */
#define R_TODO_EXTENSION    ".todo"

gint r_shop_logs_to_todos (const gchar *log_shop_directory_name,
		    const gchar *todo_shop_directory_name,
		    const gchar *todo_central_file_name);
#endif


