/* delivery_payment_print_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _DELIVERY_PAYMENT_PRINT_CONTROL_
#define _DELIVERY_PAYMENT_PRINT_CONTROL_

/**
 * c_delivery_payment_print_open:
 * @app1: #Widget que contiene la aplicacin.
 * @f_to_call: Puntero utilizado para conocer la funcin a la que se llamar al cerrar la ventana.
 * @value1: Parmetro que se le pasa a la funcin.
 *
 * Inicializa la ventana de seleccin de impresin de un albarn valorado o no valorado.
 * 
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_delivery_payment_print_open(GtkWidget *app1, gpointer f_to_call,gpointer value1);



#endif

