 /* edited_payment_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _EMITED_PAYMENT_CONTROL_
#define _EMITED_PAYMENT_CONTROL_


/**
 * c_emited_payment_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @payment: Pago que se desea gestionar/modificar en esta pantalla.
 * @modificar: Indica si se accede por modificacin a la pantalla.
 * @client_code: Indica el cdigo del cliente para el que se gestionar/modificar el pago.
 *
 * Inicializa la ventana de gestin pago. Esta ventana se utiliza para gestionar el pago de una factura emitida
 * o para modificar los datos de un pago existente.
 *
 * Returns:
 * Ventana inicializada.
 */
GtkWidget *c_emited_payment_open_window(GtkWidget *app1,Payment ** payment,gboolean modificar,gulong client_code);


#endif

