/* insert_cash_operation_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _FIND_CASH_MOVEMENT_CONTROL_
#define _FIND_CASH_MOVEMENT_CONTROL_


#include "cash_operation.h"

/**
 * c_find_cash_movement_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 *
 * Inicializa la pantalla de bsqueda de movimientos de caja. Esta ventana permite listar
 * los movimientos de caja realizados en un rango de fechas en la caja de una tienda.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_find_cash_movement_open_window(GtkWidget *app1,GtkWidget *vbox);
#endif

