/* insert_cash_operation_control.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _INSERT_CASH_OPERATION_CONTROL_2_
#define _INSERT_CASH_OPERATION_CONTROL_2_


#include "cash_operation.h"

/**
 * open_cash_operation_2
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 *
 * Inicializa la ventana de insercin de movimiento de caja. Esta pantalla se utiliza para
 * insertar un movimiento manualmente.
 * 
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *open_cash_operation_2(GtkWidget *app1,GtkWidget *vbox);
#endif

