/* modify_invoice_number.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#ifndef _MODIFY_INVOICE_NUMBER_
#define _MODIFY_INVOICE_NUMBER_

/**
 * c_modify_invoice_open_window:
 * @app1: #Widget que contiene la aplicacin.
 * @vbox: Contenedor que est dentro de la ventana de contabilidad.
 *
 * Inicializa la ventana de modificacin de nmero de factura. Esta pantalla permite indicar
 * el ltimo nmero de factura utilizado por una tienda para facturar para despues continuar con el siguiente
 * nmero y mantener as los nmeros correlativos. Permite gestionar la numeracin de las facturas
 * con iva y la numeracin de las facturas sin iva.
 *
 * Returns:
 * La ventana inicializada.
 */
GtkWidget *c_modify_invoice_open_window(GtkWidget *app1, GtkWidget *vbox);

#endif

