/* extract_delivery_payment.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */

#include "config.h"
#include "delivery_payment.h"
#include "select_fields.h"

gchar * p_delivery_payment_get_stringify_client_number (DeliveryPayment * delivery_payment);
gchar * p_delivery_payment_get_stringify_legal_id (DeliveryPayment * delivery_payment);
gchar * p_delivery_payment_get_stringify_date (DeliveryPayment * delivery_payment);
gchar * p_delivery_payment_get_stringify_number (DeliveryPayment * delivery_payment);
gchar * p_delivery_payment_get_stringify_agent_number (DeliveryPayment * delivery_payment);
gchar ** p_delivery_payment_get_stringify_post_address (DeliveryPayment * delivery_payment); /* FIXME: 4 LINES */
gchar * p_delivery_payment_get_stringify_company (DeliveryPayment * delivery_payment);
gchar * p_delivery_payment_get_stringify_policy (DeliveryPayment * delivery_payment);
GList * p_delivery_payment_get_stringify_lines (DeliveryPayment * delivery_payment);
gchar * p_delivery_payment_get_stringify_company_name (DeliveryPayment * delivery_payment);
gchar * p_delivery_payment_get_stringify_company_legal_id (DeliveryPayment * delivery_payment);
Repair * p_delivery_payment_get_repair (DeliveryPayment * delivery_payment);
void p_delivery_payment_calculate_stringify_total (DeliveryPayment * delivery_payment,gchar ** total_char);
gint p_delivery_payment_get_number_of_lines (DeliveryPayment * delivery_payment);

