/* invoice-print-wrapper.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */
#ifndef _INVOICE_PRINT_WRAPPER_
#define _INVOICE_PRINT_WRAPPER_

#include "config.h"
#include "invoice-print.h"
#include "payment_note-print.h"
#include "delivery_payment-print.h"
#include "invoice.h"

void p_invoice_close_window (GtkObject *o, void *data);
void p_invoice_wrap_print (Invoice * invoice,gint invoice_template,GeneralCondition * general_condition,gboolean from_garage);
void p_payment_note_wrap_print (PaymentNote * payment_note);
void p_delivery_payment_wrap_print (DeliveryPayment * delivery_payment,gint delivery_payment_template,gboolean valorado);
void p_invoice_list_papers (void);
void p_envelope_wrap_print (PostAddress * post_address,gpointer f_to_call,gchar * client_name);
#endif

