 /* order-print.h
 *
 * Copyright (C) 2001, 2002 Igalia, S.L..
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Igalia S.L.
 */


#include "config.h"
#include <stdlib.h> /* para mbstowcs */
#include <gal/unicode/gunicode.h> /* para unicode */

#include <gnome.h>
#include <sys/stat.h>

#include "print_utils.h"
#include "order.h"
#include "util.h"
#include "config.h"

/**
 * P_ORDER_NUMBER_OF_ORDERS:
 *
 * Nmero de lneas de pedido que se imprimir en una hoja de pedido.
 *
 */
#define P_ORDER_NUMBER_OF_ORDERS 13

/* 
 * INFO:
 * Dimensions are in points (1/72 of an inch) 
 */

#include <libgnomeprint/gnome-printer.h>
#include <libgnomeprint/gnome-print.h>
#include <libgnomeprint/gnome-print-meta.h>
#include <libgnomeprint/gnome-print-preview.h>
#include <libgnomeprint/gnome-print-pixbuf.h>
#include <libgnomeprint/gnome-font.h>
#include <libgnomeprint/gnome-printer-dialog.h>
#include <libgnomeprint/gnome-print-master.h>
#include <libgnomeprint/gnome-print-master-preview.h>
#include <libgnomeprint/gnome-print-dialog.h>


void p_order_multipage (GnomePrintContext *pc,Order * order,gulong number_of_pages);

